gcc 4.4.1 (as included in openSUSE 11.2) complains about the user-space iSCSI code...
authorvlnb <vlnb@d57e44dd-8a1f-0410-8b47-8ef2f437770f>
Fri, 20 Nov 2009 19:53:12 +0000 (19:53 +0000)
committervlnb <vlnb@d57e44dd-8a1f-0410-8b47-8ef2f437770f>
Fri, 20 Nov 2009 19:53:12 +0000 (19:53 +0000)
commited0a5f361fe95e911f54e6eaf2da542eda054c95
treefd6d12584c81a24fc45253b742f8208eff9c31ac
parenta06e9266c492af8dedd80fcfcf5a2ac08767684c
gcc 4.4.1 (as included in openSUSE 11.2) complains about the user-space iSCSI code because it breaks strict-aliasing rules. The reported warnings should be addressed because not doing so can result in the compiler generating incorrect code. The patch below fixes these compiler warnings.

Signed-off-by: Bart Van Assche <bart.vanassche@gmail.com>
git-svn-id: https://scst.svn.sourceforge.net/svnroot/scst/trunk@1352 d57e44dd-8a1f-0410-8b47-8ef2f437770f
iscsi-scst/usr/iscsi_scstd.c
iscsi-scst/usr/isns.c